"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApplicationAutoConfiguration = void 0;
/**
 * 对象过滤
 * @param obj 源数据
 * @param predicate 条件
 */
const Annotation_1 = require("./annotation/Annotation");
const DefaultHttpRequest_1 = require("./service/DefaultHttpRequest");
// @ts-ignore
Object.filter = (obj, predicate) => 
// @ts-ignore
Object.assign(...Object.keys(obj)
    .filter(key => predicate(obj[key]))
    .map(key => ({ [key]: obj[key] })));
/**
 * 字符串替换All
 * @param s1
 * @param s2
 */
// @ts-ignore
String.prototype.replaceAll = function (s1, s2) {
    return this.replace(new RegExp(s1, "gm"), s2);
};
/**
 * 数组删除
 * @param n
 */
// @ts-ignore
Array.prototype.remove = function (n) {
    if (n < 0) {
        return this;
    }
    else {
        return this.slice(0, n).concat(this.slice(n + 1, this.length));
    }
};
/**
 * 默认的配置中心
 */
class ApplicationAutoConfiguration {
    /**
     * 默认的request请求
     */
    request() {
        return new DefaultHttpRequest_1.DefaultHttpRequest();
    }
}
__decorate([
    (0, Annotation_1.Bean)(),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Object)
], ApplicationAutoConfiguration.prototype, "request", null);
exports.ApplicationAutoConfiguration = ApplicationAutoConfiguration;
