"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommonUtil = void 0;
/**
 * 公用的util
 */
var CommonUtil;
(function (CommonUtil) {
    /**
     * 获取指定位数的随机数
     * @param minNum 最小值
     * @param maxNum 最大值
     */
    CommonUtil.random = (minNum, maxNum) => {
        if (maxNum < minNum) {
            throw "maxNum can not minNum";
        }
        return parseInt(String(Math.random() * (maxNum - minNum + 1) + minNum), 10);
    };
})(CommonUtil = exports.CommonUtil || (exports.CommonUtil = {}));
